MailcrateDocs
Suppression

List suppressed addresses

GET
/public/suppression

Requires the suppression:read scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Query Parameters

query?string
reason?string
Value in"complaint""hard-bounce""import""manual""soft-bounce""unsubscribe"
limit?integer
Range1 <= value <= 500
Default50
offset?integer
Range0 <= value
Default0
page?integer
Range1 <= value
sortBy?string
sortOrder?string
Value in"ASC""DESC"

Response Body

A page of results.

application/json
  1. response
data*array<>
total*integer

Matches across all pages.

limit*integer
offset*integer

The offset actually applied, also when you paginated with page.

Example Request
curl -X GET 'https://api.mailcrate.io/public/suppression' \  -H 'Authorization: Api-Key <api_key>'
Example Response
{  "data": [    {      "id": "string",      "email": "string",      "reason": "complaint",      "source": "dashboard",      "sourceDeliveryId": "string",      "note": "string",      "createdByUserId": "string",      "created": "2019-08-24T14:15:22Z"    }  ],  "total": 0,  "limit": 0,  "offset": 0}